Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Object_var Class Reference

`#include <Object.h>`

List of all members.

## Public Methods
| CORBA_Object_var (void)
| CORBA_Object_var (CORBA::Object_ptr)
| CORBA_Object_var (const CORBA_Object_var &)
| ~CORBA_Object_var (void)
CORBA_Object_var& | operator= (CORBA::Object_ptr)
CORBA_Object_var& | operator= (const CORBA_Object_var &)
CORBA::Object_ptr | operator-> (void) const
| operator const CORBA::Object_ptr & () const
| in, inout, out, _retn.
| operator CORBA::Object_ptr & ()
CORBA::Object_ptr | in (void) const
CORBA::Object_ptr& | inout (void)
CORBA::Object_ptr& | out (void)
CORBA::Object_ptr | _retn (void)
CORBA::Object_ptr | ptr (void) const
## Static Public Methods
CORBA::Object_ptr | tao_duplicate (CORBA::Object_ptr)
void | tao_release (CORBA::Object_ptr)
CORBA::Object_ptr | tao_nil (void)
CORBA::Object_ptr | tao_narrow (CORBA::Object *, CORBA::Environment &)
CORBA::Object* | tao_upcast (void *)
## Private Attributes
CORBA::Object_ptr | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CORBA_Object_var::CORBA_Object_var ( | void )

CORBA_Object_var::CORBA_Object_var ( | CORBA::Object_ptr )

ACE_INLINE CORBA_Object_var::CORBA_Object_var ( | const CORBA_Object_var & p )

ACE_INLINE CORBA_Object_var::~CORBA_Object_var ( | void )

## Member Function Documentation

ACE_INLINE CORBA_Object_ptr CORBA_Object_var::_retn ( | void )

ACE_INLINE CORBA_Object_ptr CORBA_Object_var::in ( | void ) const

ACE_INLINE CORBA_Object_ptr & CORBA_Object_var::inout ( | void )

CORBA_Object_var::operator CORBA::Object_ptr & ( | )

CORBA_Object_var::operator const CORBA::Object_ptr & ( | ) const

| in, inout, out, _retn.

ACE_INLINE CORBA_Object_ptr CORBA_Object_var::operator-> ( | void ) const

ACE_INLINE CORBA_Object_var & CORBA_Object_var::operator= ( | const CORBA_Object_var & p )

CORBA_Object_var& CORBA_Object_var::operator= ( | CORBA::Object_ptr )

ACE_INLINE CORBA_Object_ptr & CORBA_Object_var::out ( | void )

ACE_INLINE CORBA_Object_ptr CORBA_Object_var::ptr ( | void ) const

CORBA::Object_ptr CORBA_Object_var::tao_duplicate ( | CORBA::Object_ptr )`[static]`

ACE_INLINE CORBA_Object_ptr CORBA_Object_var::tao_narrow ( | CORBA::Object * p,
| CORBA::Environment & )`[static]`

ACE_INLINE CORBA_Object_ptr CORBA_Object_var::tao_nil ( | void )`[static]`

void CORBA_Object_var::tao_release ( | CORBA::Object_ptr )`[static]`

ACE_INLINE CORBA::Object * CORBA_Object_var::tao_upcast ( | void * src )`[static]`

## Member Data Documentation

CORBA::Object_ptr CORBA_Object_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- Object.h
- Object.i